Qt Reference Documentation

# Obsolete Members for QResource

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QResource class reference

## Static Public Members

void | addSearchPath ( const QString & path )`(obsolete)`
QStringList | searchPaths ()`(obsolete)`

## Member Function Documentation

### void QResource::addSearchPath ( const QString & path )`[static]`

Use QDir::addSearchPath() with a prefix instead.

Adds path to the search paths searched in to find resources that are not specified with an absolute path. The path must be an absolute path (start with `/`).

The default search path is to search only in the root (`:/`). The last path added will be consulted first upon next QResource creation.

### QStringList QResource::searchPaths ()`[static]`

Use QDir::searchPaths() instead.

Returns the current search path list. This list is consulted when creating a relative resource.

See also QDir::addSearchPath() and QDir::setSearchPaths().